// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';

class QuoteCards extends StatelessWidget {
  const QuoteCards({super.key});

  @override
  Widget build(BuildContext context) => Column(
        children: [
          Text(
            'Quote Cards',
            style: Theme.of(context).textTheme.titleMedium,
          ),
          const Gap(20),
          Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              QuoteCard(
                quote: 'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                        'Qui ipsum id ea ea nulla labore aute ullamco aute '
                        'quis elit ut amet velit. Incididunt fugiat proident '
                        'proident deserunt tempor Lorem cillum qui do '
                        'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                    .wrap(),
              ),
              const Gap(20),
              QuoteCard(
                quote: 'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                        'Qui ipsum id ea ea nulla labore aute ullamco aute '
                        'quis elit ut amet velit. Incididunt fugiat proident '
                        'proident deserunt tempor Lorem cillum qui do '
                        'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                    .wrap(
                  gradientColors: const MultiColor([
                    Colors.red,
                    Colors.orange,
                  ]),
                ),
                avatar: const FlutterLogo(
                  size: 40,
                ),
                name: 'John Doe'.wrap(),
                subtitle: 'Agence anonyme'.wrap(),
              ),
            ],
          ),
          const Gap(20),
        ],
      );
}
